org.apache.lucene.util

## Class RunListenerPrintReproduceInfo

- java.lang.Object
- - org.junit.runner.notification.RunListener
  - - org.apache.lucene.util.RunListenerPrintReproduceInfo

-     public final class RunListenerPrintReproduceInfo
      extends RunListener

  A suite listener printing a "reproduce string". This ensures test result events are always captured properly even if exceptions happen at initialization or suite/ hooks level.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.junit.runner.notification.RunListener

      `RunListener.ThreadSafe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunListenerPrintReproduceInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testFailure(Failure failure)`
    `void` | `testFinished(Description description)`
    `void` | `testRunFinished(Result result)`
    `void` | `testRunStarted(Description description)`
    `void` | `testStarted(Description description)`

    - ### Methods inherited from class org.junit.runner.notification.RunListener

      `testAssumptionFailure, testIgnored, testSuiteFinished, testSuiteStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunListenerPrintReproduceInfo

          public RunListenerPrintReproduceInfo()

  - ### Method Detail

    - #### testRunStarted

          public void testRunStarted(Description description)
                              throws Exception

      Overrides:
        `testRunStarted` in class `RunListener`
      Throws:
        `Exception`

    - #### testStarted

          public void testStarted(Description description)
                           throws Exception

      Overrides:
        `testStarted` in class `RunListener`
      Throws:
        `Exception`

    - #### testFailure

          public void testFailure(Failure failure)
                           throws Exception

      Overrides:
        `testFailure` in class `RunListener`
      Throws:
        `Exception`

    - #### testFinished

          public void testFinished(Description description)
                            throws Exception

      Overrides:
        `testFinished` in class `RunListener`
      Throws:
        `Exception`

    - #### testRunFinished

          public void testRunFinished(Result result)
                               throws Exception

      Overrides:
        `testRunFinished` in class `RunListener`
      Throws:
        `Exception`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.